<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
BigIntegerOperations
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.ops.BigIntegerOperations class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BigIntegerOperations";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigIntegerOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/BigFractionOperations.html" title="class in ch.javasoft.math.ops"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/DoubleOperations.html" title="class in ch.javasoft.math.ops"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/ops/BigIntegerOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigIntegerOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.ops</FONT>
<BR>
Class BigIntegerOperations</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">ch.javasoft.math.ops.AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.ops.BigIntegerOperations</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.48"><B>BigIntegerOperations</B></A><DT>extends <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</DL>
</PRE>

<P>
<A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>Number operations</CODE></A> for <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers.
 A singleton <A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#instance()"><CODE>instance</CODE></A> exists for this class.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#BigIntegerOperations()">BigIntegerOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#abs(java.math.BigInteger)">abs</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the absolute value of the given number, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#add(java.math.BigInteger, java.math.BigInteger)">add</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the sum of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#byteLength()">byteLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the byte array length if <A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)"><CODE>NumberOperations.toByteArray(Number)</CODE></A> is used and if
 this size is fixed, and -1 if the size may vary depending on the number
 instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#compare(java.math.BigInteger, java.math.BigInteger)">compare</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;o1,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;o2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#divide(java.math.BigInteger, java.math.BigInteger)">divide</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the ratio of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#fromByteArray(byte[])">fromByteArray</A></B>(byte[]&nbsp;bytes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts the byte array containing binary data into a new number instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html" title="class in ch.javasoft.math.ops">BigIntegerOperations</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#instance()">instance</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the singleton instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#invert(java.math.BigInteger)">invert</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the inverted value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#isOne(java.math.BigInteger)">isOne</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this value is numerically equal to one, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#isZero(java.math.BigInteger)">isZero</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this value is numerically equal to zero, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#multiply(java.math.BigInteger, java.math.BigInteger)">multiply</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the product of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#negate(java.math.BigInteger)">negate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the negated value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#newArray(int)">newArray</A></B>(int&nbsp;size)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new array of the underlying number type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#newArray(int, int)">newArray</A></B>(int&nbsp;rows,
                 int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a new 2 dimensional array of the underlying number type</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#numberClass()">numberClass</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The class representing numbers of this number operations instance</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#one()">one</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value representing one</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#pow(java.math.BigInteger, java.math.BigInteger)">pow</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the powered value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#readFrom(java.io.DataInput)">readFrom</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataInput.html" title="class or interface in java.io">DataInput</A>&nbsp;in)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads binary data from the given data input.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#reduce(java.math.BigInteger)">reduce</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts the number into some reduced form.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#reduceVector(boolean, java.math.BigInteger...)">reduceVector</A></B>(boolean&nbsp;cloneOnChange,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>...&nbsp;vector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts a vector into some reduced form.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#signum(java.math.BigInteger)">signum</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns signum of the value, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#subtract(java.math.BigInteger, java.math.BigInteger)">subtract</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the difference of the two values, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;byte[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#toByteArray(java.math.BigInteger)">toByteArray</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this number to binary data and returns it as a byte array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#valueOf(double)">valueOf</A></B>(double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 submitted double value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#valueOf(long)">valueOf</A></B>(long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 submitted long integer value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#valueOf(java.lang.Number)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;number)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 submitted number</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#valueOf(java.lang.String)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance of the underlying number type based on the 
 given string representation of the number</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#writeTo(java.math.BigInteger, java.io.DataOutput)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this number to binary data and writes it to the data output.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html#zero()">zero</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value representing zero</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.math.ops.AbstractNumberOps"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.math.ops.<A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNegative(N)">isNegative</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNonNegative(N)">isNonNegative</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNonPositive(N)">isNonPositive</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isNonZero(N)">isNonZero</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isPositive(N)">isPositive</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#max(N...)">max</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#max(N, N)">max</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#min(N...)">min</A>, <A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#min(N, N)">min</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Comparator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html" title="class or interface in java.util">Comparator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BigIntegerOperations()"><!-- --></A><H3>
BigIntegerOperations</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.48"><B>BigIntegerOperations</B></A>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="instance()"><!-- --></A><H3>
instance</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/math/ops/BigIntegerOperations.html" title="class in ch.javasoft.math.ops">BigIntegerOperations</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.55"><B>instance</B></A>()</PRE>
<DL>
<DD>Returns the singleton instance
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the singleton instance</DL>
</DD>
</DL>
<HR>

<A NAME="numberClass()"><!-- --></A><H3>
numberClass</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt; <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.61"><B>numberClass</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#numberClass()">NumberOperations</A></CODE></B></DD>
<DD>The class representing numbers of this number operations instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newArray(int)"><!-- --></A><H3>
newArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.64"><B>newArray</B></A>(int&nbsp;size)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#newArray(int)">NumberOperations</A></CODE></B></DD>
<DD>Create a new array of the underlying number type
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="newArray(int, int)"><!-- --></A><H3>
newArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[][] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.67"><B>newArray</B></A>(int&nbsp;rows,
                               int&nbsp;cols)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#newArray(int, int)">NumberOperations</A></CODE></B></DD>
<DD>Create a new 2 dimensional array of the underlying number type
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.String)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.70"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;s)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(java.lang.String)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 given string representation of the number
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.Number)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.73"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(java.lang.Number)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 submitted number
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(long)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.76"><B>valueOf</B></A>(long&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(long)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 submitted long integer value
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(double)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.79"><B>valueOf</B></A>(double&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#valueOf(double)">NumberOperations</A></CODE></B></DD>
<DD>Create an instance of the underlying number type based on the 
 submitted double value
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="abs(java.math.BigInteger)"><!-- --></A><H3>
abs</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.83"><B>abs</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#abs(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the absolute value of the given number, i.e. a non-negative
 value <tt>abs(number)</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#abs(N)">abs</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#abs(N)">abs</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
add</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.86"><B>add</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#add(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the sum of the two values, i.e. <tt>numA + numB</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="divide(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
divide</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.89"><B>divide</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#divide(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the ratio of the two values, i.e. <tt>numA / numB</tt>.
 <p>
 For integer types, an integer division is performed, ignoring possible
 remainders
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="invert(java.math.BigInteger)"><!-- --></A><H3>
invert</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.93"><B>invert</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#invert(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the inverted value, i.e. <tt>1 / number</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#invert(N)">invert</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#invert(N)">invert</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isOne(java.math.BigInteger)"><!-- --></A><H3>
isOne</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.97"><B>isOne</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#isOne(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns true if this value is numerically equal to one, i.e. <tt>number == 1</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#isOne(N)">isOne</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isOne(N)">isOne</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isZero(java.math.BigInteger)"><!-- --></A><H3>
isZero</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.101"><B>isZero</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#isZero(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns true if this value is numerically equal to zero, i.e. <tt>number == 0</tt>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#isZero(N)">isZero</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html#isZero(N)">isZero</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/math/ops/AbstractNumberOps.html" title="class in ch.javasoft.math.ops">AbstractNumberOps</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="multiply(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
multiply</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.104"><B>multiply</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#multiply(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the product of the two values, i.e. <tt>numA * numB</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="negate(java.math.BigInteger)"><!-- --></A><H3>
negate</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.107"><B>negate</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#negate(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the negated value, i.e. <tt>-number</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="one()"><!-- --></A><H3>
one</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.110"><B>one</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#one()">NumberOperations</A></CODE></B></DD>
<DD>Returns the value representing one
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subtract(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
subtract</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.113"><B>subtract</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#subtract(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the difference of the two values, i.e. <tt>numA - numB</tt>
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="zero()"><!-- --></A><H3>
zero</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.116"><B>zero</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#zero()">NumberOperations</A></CODE></B></DD>
<DD>Returns the value representing zero
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="compare(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
compare</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.119"><B>compare</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;o1,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;o2)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="reduce(java.math.BigInteger)"><!-- --></A><H3>
reduce</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.122"><B>reduce</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#reduce(N)">NumberOperations</A></CODE></B></DD>
<DD>Converts the number into some reduced form. This can for instance mean 
 reduction for fraction numbers. If no reduction can be made, the number
 is returned unchanged.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="reduceVector(boolean, java.math.BigInteger...)"><!-- --></A><H3>
reduceVector</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>[] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.125"><B>reduceVector</B></A>(boolean&nbsp;cloneOnChange,
                                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>...&nbsp;vector)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#reduceVector(boolean, N...)">NumberOperations</A></CODE></B></DD>
<DD>Converts a vector into some reduced form. For integer or fraction number
 vectors, this can for instance mean that the vector is shortened by the
 greatest common divisor of all vector components. 
 <p>
 Note that the vector length might change by this operation. If only 
 individual components of the vector should be reduced, which is not
 affecting the vector's length, <A HREF="../../../../ch/javasoft/math/NumberOperations.html#reduce(N)"><CODE>reduce</CODE></A> each number
 separately.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cloneOnChange</CODE> - if a reduction can be made, the array is cloned 
                                                and the original array is not changed. If no 
                                                reduction can be made, or if <tt>cloneOnChange</tt>
                                                is false, the original array will be returned,
                                                unmodified in the former case, and with reduced
                                                values in the latter case.<DD><CODE>vector</CODE> - the vector to reduce</DL>
</DD>
</DL>
<HR>

<A NAME="signum(java.math.BigInteger)"><!-- --></A><H3>
signum</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.135"><B>signum</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#signum(N)">NumberOperations</A></CODE></B></DD>
<DD>Returns signum of the value, i.e. -1, 0, 1 for negative, zero or positive values
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="pow(java.math.BigInteger, java.math.BigInteger)"><!-- --></A><H3>
pow</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.138"><B>pow</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numA,
                      <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;numB)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#pow(N, N)">NumberOperations</A></CODE></B></DD>
<DD>Returns the powered value, i.e. <tt>numA<sup>numB</sup></tt>.
 Negative exponents are allowed, also for integer types, without causing
 an exception. E.g. 3^-1 yields 0.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toByteArray(java.math.BigInteger)"><!-- --></A><H3>
toByteArray</H3>
<PRE>
public byte[] <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.154"><B>toByteArray</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)">NumberOperations</A></CODE></B></DD>
<DD>Converts this number to binary data and returns it as a byte array. 
 Back-conversion is possible using the <A HREF="../../../../ch/javasoft/math/NumberOperations.html#fromByteArray(byte[])"><CODE>NumberOperations.fromByteArray(byte[])</CODE></A> method.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="writeTo(java.math.BigInteger, java.io.DataOutput)"><!-- --></A><H3>
writeTo</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.157"><B>writeTo</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A>&nbsp;number,
                    <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataOutput.html" title="class or interface in java.io">DataOutput</A>&nbsp;out)
             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#writeTo(N, java.io.DataOutput)">NumberOperations</A></CODE></B></DD>
<DD>Converts this number to binary data and writes it to the data output.
 The counterpart of this method reading binary data is 
 <A HREF="../../../../ch/javasoft/math/NumberOperations.html#readFrom(java.io.DataInput)"><CODE>NumberOperations.readFrom(DataInput)</CODE></A>.
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="fromByteArray(byte[])"><!-- --></A><H3>
fromByteArray</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.163"><B>fromByteArray</B></A>(byte[]&nbsp;bytes)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#fromByteArray(byte[])">NumberOperations</A></CODE></B></DD>
<DD>Converts the byte array containing binary data into a new number instance. 
 Forward-conversion is possible using the <A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)"><CODE>NumberOperations.toByteArray(Number)</CODE></A> method.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="readFrom(java.io.DataInput)"><!-- --></A><H3>
readFrom</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math">BigInteger</A> <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.166"><B>readFrom</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/DataInput.html" title="class or interface in java.io">DataInput</A>&nbsp;in)
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#readFrom(java.io.DataInput)">NumberOperations</A></CODE></B></DD>
<DD>Reads binary data from the given data input. Binary data is converted and
 a new number instance is returned. The counterpart of this method writing
 binary data is <A HREF="../../../../ch/javasoft/math/NumberOperations.html#writeTo(N, java.io.DataOutput)"><CODE>NumberOperations.writeTo(Number, DataOutput)</CODE></A>
<P>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="byteLength()"><!-- --></A><H3>
byteLength</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/math/ops/BigIntegerOperations.html#line.172"><B>byteLength</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/math/NumberOperations.html#byteLength()">NumberOperations</A></CODE></B></DD>
<DD>Returns the byte array length if <A HREF="../../../../ch/javasoft/math/NumberOperations.html#toByteArray(N)"><CODE>NumberOperations.toByteArray(Number)</CODE></A> is used and if
 this size is fixed, and -1 if the size may vary depending on the number
 instance
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BigIntegerOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/BigFractionOperations.html" title="class in ch.javasoft.math.ops"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/ops/DoubleOperations.html" title="class in ch.javasoft.math.ops"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/ops/BigIntegerOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BigIntegerOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
